summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefano Karapetsas <[email protected]>2013-12-12 10:05:37 -0800
committerStefano Karapetsas <[email protected]>2013-12-12 10:05:37 -0800
commitbeb21bb6c382f629d817a1c19613d07825358f5c (patch)
tree889d80647540e09ebffad214803fc4bf7759d197
parentd2a24b977ff1d39564fb39176360a0dd229c9e05 (diff)
parent401f643f9682663603c3f2d4b8ce6267ecdcabf1 (diff)
downloadmate-panel-beb21bb6c382f629d817a1c19613d07825358f5c.tar.bz2
mate-panel-beb21bb6c382f629d817a1c19613d07825358f5c.tar.xz
Merge pull request #147 from infirit/master
Use GTK_API_VERSION in pkgconfig in files
-rw-r--r--configure.ac2
-rw-r--r--libmate-panel-applet/libmatepanelapplet-4.0-uninstalled.pc.in2
-rw-r--r--libmate-panel-applet/libmatepanelapplet-4.0.pc.in2
3 files changed, 4 insertions, 2 deletions
diff --git a/configure.ac b/configure.ac
index 22738b1e..6d566050 100644
--- a/configure.ac
+++ b/configure.ac
@@ -97,6 +97,8 @@ case "$with_gtk" in
;;
esac
+AC_SUBST(GTK_API_VERSION)
+
dnl pkg-config dependency checks
PKG_CHECK_MODULES(EGG_SMCLIENT, ice sm gtk+-$GTK_API_VERSION)
diff --git a/libmate-panel-applet/libmatepanelapplet-4.0-uninstalled.pc.in b/libmate-panel-applet/libmatepanelapplet-4.0-uninstalled.pc.in
index d693e648..0cdeb5f4 100644
--- a/libmate-panel-applet/libmatepanelapplet-4.0-uninstalled.pc.in
+++ b/libmate-panel-applet/libmatepanelapplet-4.0-uninstalled.pc.in
@@ -5,7 +5,7 @@ [email protected]@
Name: libmate-panel-applet-4
Description: libmate-panel-applet-4
-Requires: glib-2.0 gio-2.0 gtk+-2.0
+Requires: glib-2.0 gio-2.0 [email protected][email protected]
Libs: ${pc_top_builddir}/${pcfiledir}/libmate-panel-applet-4.la
Cflags: -I${pc_top_builddir}/${pcfiledir}
diff --git a/libmate-panel-applet/libmatepanelapplet-4.0.pc.in b/libmate-panel-applet/libmatepanelapplet-4.0.pc.in
index 5c3058c8..c9147398 100644
--- a/libmate-panel-applet/libmatepanelapplet-4.0.pc.in
+++ b/libmate-panel-applet/libmatepanelapplet-4.0.pc.in
@@ -5,7 +5,7 @@ [email protected]@
Name: libmate-panel-applet-4
Description: libmate-panel-applet-4
-Requires: glib-2.0 gio-2.0 gtk+-2.0
+Requires: glib-2.0 gio-2.0 [email protected][email protected]
Libs: -L${libdir} -lmate-panel-applet-4
Cflags: -I${includedir}/mate-panel-4.0/libmate-panel-applet